Page MenuHomePhabricator

rust-dirs-multiset: use `AsRef` instead of concrete types when possible
ClosedPublic

Authored by Alphare on Nov 29 2019, 12:56 PM.

Details

Summary

I also renamed vec to dirstate, because it was not a great name.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Nov 29 2019, 12:56 PM
kevincox accepted this revision.Dec 2 2019, 8:06 AM
pulkit accepted this revision.Dec 10 2019, 10:11 AM
This revision is now accepted and ready to land.Dec 10 2019, 10:11 AM

This one fails to apply on default. Skipping pushing this and it's accepted children.

Alphare updated this revision to Diff 18566.Dec 10 2019, 10:26 AM